
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Oracle SQL*Loader 使用指南（转载） / iVAN</title>

    <meta name="description" content="Oracle SQL*Loader 使用指南（转载） oracle SQL*Loader是Oracle数据库导入外部数据的一个工具.它和DB2的Load工具相似,但有更多的选择,它支持变化的加载模式,可选的加载及多表加载. 如何使用 SQL*Loader 工具 我们可以用Oracle的sqlldr工具来导入数据.例如: sqlldr scott/tiger control=loader.ctl 控制文件(loader.ctl) 将加载一个外部数据文件(含分隔符). loader.ctl如下: load data infile 'c:\data\my">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Oracle SQL*Loader 使用指南（转载）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>oracle</p>
<p>SQL*Loader是Oracle数据库导入外部数据的一个工具.它和DB2的Load工具相似,但有更多的选择，它支持变化的加载模式，可选的加载及多表加载.</p>
<p>如何使用 SQL*Loader 工具 <br />我们可以用Oracle的sqlldr工具来导入数据。例如: <br />sqlldr scott/tiger control=loader.ctl <br />控制文件(loader.ctl) 将加载一个外部数据文件（含分隔符). loader.ctl如下: <br />load data <br />infile 'c:\data\mydata.csv' <br />into table emp <br />fields terminated by "," optionally enclosed by '"' <br />( empno, empname, sal, deptno )</p>
<p>mydata.csv 如下: <br />10001,"Scott Tiger", 1000, 40 <br />10002,"Frank Naude", 500, 20 <br />下面是一个指定记录长度的示例控制文件。"*" 代表数据文件与此文件同名，即在后面使用BEGINDATA段来标识数据。 <br />load data <br />infile * <br />replace <br />into table departments <br />( dept position (02:05) char(4), <br />deptname position (08:27) char(20) <br />) <br />begindata <br />COSC COMPUTER SCIENCE <br />ENGL ENGLISH LITERATURE <br />MATH MATHEMATICS <br />POLY POLITICAL SCIENCE <br />Unloader这样的工具 <br />Oracle 没有提供将数据导出到一个文件的工具。但是，我们可以用SQL*Plus的select 及 format 数据来输出到一个文件： <br />set echo off newpage 0 space 0 pagesize 0 feed off head off trimspool on <br />spool oradata.txt <br />select col1 || ',' || col2 || ',' || col3 <br />from tab1 <br />where col2 = 'XYZ'; <br />spool off</p>
<p>另外，也可以使用使用 UTL_FILE PL/SQL 包处理: <br />rem Remember to update initSID.ora, utl_file_dir='c:\oradata' parameter <br />declare <br />fp utl_file.file_type; <br />begin <br />fp := utl_file.fopen('c:\oradata','tab1.txt','w'); <br />utl_file.putf(fp, '%s, %s\n', 'TextField', 55); <br />utl_file.fclose(fp); <br />end; <br />/</p>
<p>当然你也可以使用第三方工具，如SQLWays ,TOAD for Quest等。</p>
<p>加载可变长度或指定长度的记录 <br />如： <br />LOAD DATA <br />INFILE * <br />INTO TABLE load_delimited_data <br />FIELDS TERMINATED BY "," OPTIONALLY ENCLOSED BY '"' <br />TRAILING NULLCOLS <br />( data1, <br />data2 <br />) <br />BEGINDATA <br />11111,AAAAAAAAAA <br />22222,"A,B,C,D,"</p>
<p>下面是导入固定位置（固定长度）数据示例： <br />LOAD DATA <br />INFILE * <br />INTO TABLE load_positional_data <br />( data1 POSITION(1:5), <br />data2 POSITION(6:15) <br />) <br />BEGINDATA <br />11111AAAAAAAAAA <br />22222BBBBBBBBBB</p>
<p>跳过数据行： <br />可以用 "SKIP n" 关键字来指定导入时可以跳过多少行数据。如： <br />LOAD DATA <br />INFILE * <br />INTO TABLE load_positional_data <br />SKIP 5 <br />( data1 POSITION(1:5), <br />data2 POSITION(6:15) <br />) <br />BEGINDATA <br />11111AAAAAAAAAA <br />22222BBBBBBBBBB</p>
<p>导入数据时修改数据： <br />在导入数据到数据库时，可以修改数据。注意，这仅适合于常规导入，并不适合 direct导入方式.如： <br />LOAD DATA <br />INFILE * <br />INTO TABLE modified_data <br />( rec_no "my_db_sequence.nextval", <br />region CONSTANT '31', <br />time_loaded "to_char(SYSDATE, 'HH24:MI')", <br />data1 POSITION(1:5) ":data1/100", <br />data2 POSITION(6:15) "upper(:data2)", <br />data3 POSITION(16:22)"to_date(:data3, 'YYMMDD')" <br />) <br />BEGINDATA <br />11111AAAAAAAAAA991201 <br />22222BBBBBBBBBB990112</p>
<p>LOAD DATA <br />INFILE 'mail_orders.txt' <br />BADFILE 'bad_orders.txt' <br />APPEND <br />INTO TABLE mailing_list <br />FIELDS TERMINATED BY "," <br />( addr, <br />city, <br />state, <br />zipcode, <br />mailing_addr "decode(:mailing_addr, null, :addr, :mailing_addr)", <br />mailing_city "decode(:mailing_city, null, :city, :mailing_city)", <br />mailing_state <br />)</p>
<p>将数据导入多个表： <br />如: <br />LOAD DATA <br />INFILE * <br />REPLACE <br />INTO TABLE emp <br />WHEN empno != ' ' <br />( empno POSITION(1:4) INTEGER EXTERNAL, <br />ename POSITION(6:15) CHAR, <br />deptno POSITION(17:18) CHAR, <br />mgr POSITION(20:23) INTEGER EXTERNAL <br />) <br />INTO TABLE proj <br />WHEN projno != ' ' <br />( projno POSITION(25:27) INTEGER EXTERNAL, <br />empno POSITION(1:4) INTEGER EXTERNAL <br />)</p>
<p>导入选定的记录： <br />如下例： (01) 代表第一个字符, (30:37) 代表30到37之间的字符: <br />LOAD DATA <br />INFILE 'mydata.dat' BADFILE 'mydata.bad' DISCARDFILE 'mydata.dis' <br />APPEND <br />INTO TABLE my_selective_table <br />WHEN (01) &lt;&gt; 'H' and (01) &lt;&gt; 'T' and (30:37) = '19991217' <br />( <br />region CONSTANT '31', <br />service_key POSITION(01:11) INTEGER EXTERNAL, <br />call_b_no POSITION(12:29) CHAR <br />)</p>
<p>导入时跳过某些字段： <br />可用 POSTION(x:y) 来分隔数据. 在Oracle8i中可以通过指定 FILLER  字段实现。FILLER 字段用来跳过、忽略导入数据文件中的字段.如： <br />LOAD DATA <br />TRUNCATE INTO TABLE T1 <br />FIELDS TERMINATED BY ',' <br />( field1, <br />field2 FILLER, <br />field3 <br />)</p>
<p>导入多行记录： <br />可以使用下面两个选项之一来实现将多行数据导入为一个记录:</p>
<p>CONCATENATE: - use when SQL*Loader should combine the same number of physical records together to form one logical record.</p>
<p>CONTINUEIF - use if a condition indicates that multiple records should be treated as one. Eg. by having a '#' character in column 1.</p>
<p>SQL*Loader 数据的提交： <br />一般情况下是在导入数据文件数据后提交的。 <br />也可以通过指定 ROWS= 参数来指定每次提交记录数。</p>
<p>提高 SQL*Loader  的性能： <br />1) 一个简单而容易忽略的问题是，没有对导入的表使用任何索引和/或约束(主键)。如果这样做，甚至在使用ROWS=参数时，会很明显降低数据库导入性能。 <br />2) 可以添加 DIRECT=TRUE来提高导入数据的性能。当然，在很多情况下，不能使用此参数。 <br />3) 通过指定  UNRECOVERABLE选项，可以关闭数据库的日志。这个选项只能和 direct 一起使用。 <br />4) 可以同时运行多个导入任务.</p>
<p>常规导入与direct导入方式的区别： <br />常规导入可以通过使用 INSERT语句来导入数据。Direct导入可以跳过数据库的相关逻辑(DIRECT=TRUE)，而直接将数据导入到数据文件中。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-18 23:34:30</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e5%b7%a5%e5%85%b7/" title="工具">工具</a>, <a href="https://www.iamivan.net/tag/table/" title="table">table</a>, <a href="https://www.iamivan.net/tag/position/" title="position">position</a>, <a href="https://www.iamivan.net/tag/load%e6%95%b0%e6%8d%ae/" title="load数据">load数据</a>, <a href="https://www.iamivan.net/tag/11111/" title="11111">11111</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Oracle SQL*Loader 使用指南（转载）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/4MYVrVp.html" rel="bookmark">学习oracle sql loader 的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle 学习oracle sql loader 的使用 一:sql loader 的特点oracle自己带了很多的工具可以用来进行数据的迁移.备份和恢复等工作.但是每个工具都有自己的特点. 比如说exp和imp可以对数据库中的数据进行导出和导出的工作,是一种很好的数据库备份和恢复的工具,因此主要用在数据库的热备份和恢复方面.有着速度快,使用简单,快捷的优点:同时也有一些缺点,比如在不同版本数据库之间的导出.导入的过程之中,总会出现这样或者那样的问题,这个也许是oracle公司自己产品的兼容			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrK1Q1p.html" rel="bookmark">使用Oracle sql loader批量导入数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在性能测试中,有一项十分重要的准备工作就是准备测试数据.在进行性能测试之前,首先要保证测试数据库中有测试所需要的足够多的数据.对于数据的准备工作,有时候我会使用LoadRunner生成相应的脚本去准备数据,这样的做法有一个好处就是简便易行,然而它有一个很大的缺点就是效率太慢,当我们需要的数据量极大时,这样做是非常耗时间的,所以我觉得还需要掌握各种不同的技能来完成这个任务.以下就是我在前不久的一次测试中学到的经验: 使用oracle sql loader批量导入数据(在准备测试数据时很有用!) 生			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwlj7Ob.html" rel="bookmark">Oracle SQL&ast;Loader详解（3） 控制文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				控制文件是SQL*Loader里最重要的文件,它是一个文本文件,用来定义数据文件的位置.数据的格 式.以及配置数据加载过程的行为,在sqlldr中以control参数指定控制文件. 在控制文件里配置命令行参数 (OPTIONS) 在上一篇中我们讲过命令行参数可以配置在三个地方,其中一个就是可以使用控制文件的OPTIONS字 句(这也是最常用的方式),如下所示: OPTIONS (DIRECT=true, SILENT=(ERRORS, FEEDBACK) ) 更多的命令行参数,请见上一篇. 配置			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZOv4Yb.html" rel="bookmark">Oracle SQL&ast;Loader详解（2） 命令行参数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				sqlldr工具 SQL*Loader的客户端工具是sqlldr,在操作系统的命令行下输入sqlldr,后面不接任何参数,将显 示帮助信息如下所示(所有命令行参数的简单描述及其默认值),所以你并不需要对下面的参数死记硬 背,当你忘记它们时,可以通过这个方式快速查询. Valid Keywords: userid -- ORACLE username/password control -- control file name log -- log file name bad -- bad file			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB24PAb.html" rel="bookmark">Oracle SQL&ast;Loader详解（1） 总览</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQL*Loader原理 SQL*Loader是Oracle提供的用于数据加载的一种工具,它比较适合业务分析类型数据库(数据仓库 ),能处理多种格式的平面文件,批量数据装载比传统的数据插入效率更高.其示意图如下: 控制文件(Control File) (.ctl):用于控制数据导入的行为方式的文件(最重要的文件) 参数文件(可选)(Parameter File) (.par):可以把参数直接写在控制文件里,也可以单独写一个 参数文件 数据文件(Data Files) :放置源数据的平面文件(可以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvKxJ9p.html" rel="bookmark">Oracle sql loader使用例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.SQLLoader将 Excel 数据导出到 Oracle 1.创建SQL*Loader输入数据所需要的文件,均保存到C:\,用记事本编辑: 控制文件:input.ctl,内容如下: load data --1.控制文件标识 infile 'test.txt' --2.要输入的数据文件名为test.txt append into table test --3.向表test中追加记录 fields terminated by X'09' --4.字段终止于X'09',是一个制表符(TAB) (			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW1qNez.html" rel="bookmark">Oracle SQL&ast;Loader详解（5） 典型例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文介绍SQL*Loader在实际使用过程中经常用到的典型例子. 1. 表中的列比数据文件的列要少怎么办? 假设一个csv的文件如下: a1,a2,a3,a4 b1,b2,b3,b4 c1,c2,c3,c4 d1,d2,d3,d4 总共4列,先要求只要第2.3列数据,怎么办呢?这时候,FILLER(注意:不是FILTER)参数派上用 场了,控制文件如下所示: load data infile 'data.csv' &quot;str '\r\n'&quot; into table test.test ap			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNEL2yb.html" rel="bookmark">Oracle SQL&ast;Loader详解（4） 字段列表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上一篇中我们介绍了SQL*Loader中最重要的文件--控制文件,而本篇要介绍控制文 件中最重要的部分--字段列表,字段列表的作用是把数据文件中的记录和数据库中表的列 对应起来,下面是字段列表的一个例子,本篇我们将一一讲解它们的意思. . . . 1 (hiredate SYSDATE, 2 deptno POSITION(1:2) INTEGER EXTERNAL(2) NULLIF deptno=BLANKS, 3 job POSITION(7:14) CHAR TERMINATED BY			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBg1GoM.html" rel="bookmark">oracle sql语句优化（转载）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(1)      选择最有效率的表名顺序 ( 只在基于规则的优化器中有效 ) : ORACLE 的解析器按照从右到左的顺序处理 FROM 子句中的表名, FROM 子句中写在最后的表 ( 基础表 driving table) 将被最先处理,在 FROM 子句中包含多个表的情况下 , 你必须选择记录条数最少的表作为基础表.如果有 3 个以上的表连接查询 , 那就需要选择交叉表 (intersection table) 作为基础表 , 交叉表是指那个被其他表所引用的表 . (2)      WHER			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrEjyb.html" rel="bookmark" class="title">PHP如何修改Linux或Unix口令</a>
					<div>
						本文介绍如何使用PHP脚本修改Linux或Unix系统口令. 需要的工具和安装: 你必须安装下面的工具和软件: –修改口令的Shell脚本; – Sudo访问权; – Apache or Lightt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyooJz.html" rel="bookmark" class="title">如何编译PHP源代码（介绍Zend Encode的安装方法）&lpar;我今天刚调试成功，不敢独享，拿来献宝）</a>
					<div>
						encode|编译|源代码 如何编译PHP源代码(介绍Zend Encode的安装方法)作者:大自然 信箱:zhanmr@telekbird.com.cn 主页:http://zhanzhen.way ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMABAJp.html" rel="bookmark" class="title">程序员应具备的素质－拨乱反正篇</a>
					<div>
						程序|程序员|素质 程序员是一种技术工作,在IT的发展中有相当重要的地位,从底层硬件通讯协议的建立,到数据传输层的处理,到操作系统的建设,到数据库平台的建设,一直到应用层上各种数据营销平台的搭建,程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGVXvp.html" rel="bookmark" class="title">用户体验&colon;Login这个词用法是错误的</a>
					<div>
						优秀的网站交互体验对于细节的处理是很到位的,比如我们在一些网站中经常见到的一些文字,随着时间的改变,这些文字也发生了很大的变化,这就是网站交互体验的改进. Login这个词用法是错误的.Login不是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7RGXM.html" rel="bookmark" class="title">Windows XP和2003系统IPv6协议栈安装方法</a>
					<div>
						摘要:Windows XP和Windows Server 2003能够直接支持IPv6. 1．WindowsXP系统如何安装IPv6协议栈? 在命令行窗口下,输入下列命令:ipv6install 2． ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBKNLb.html" rel="bookmark" class="title">Azure Services Platform Step by Step 十三 在Windows Azure中使用PHP</a>
					<div>
						在微软MIX09大会上,Windows Azure发布了它的第3个版本--Match 2009 CTP.从这个版本开始,Windows Azure开始支持FastCGI.(详见MIX09-Window ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2mDwM.html" rel="bookmark" class="title">Windows 8 Store Apps学习&lpar;46&rpar; 多线程之线程同步&colon; Lock等</a>
					<div>
						多线程之线程同步: Lock, Monitor, Interlocked, Mutex, ReaderWriterLock 介绍 重新想象 Windows 8 Store Apps 之 线程同步 lo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Rd13p.html" rel="bookmark" class="title">Java Date和Calendar类的基础用法</a>
					<div>
						Date和Calendar是JAVA类库里提供对时间进行处理的类,由于日期在商业逻辑的应用中占据着很重要的地位,所以在这里想对这两个类进行一个基本的讲解,由于技术有限,不到之处请指正. Date类顾名 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKYRmp.html" rel="bookmark" class="title">如何解决电脑破音的问题</a>
					<div>
						如何解决电脑破音的问题   杂音问题解决办法:找旧版本的音频驱动试试 windows 7 带的是2.28版本有破音,那就找之前的驱动,挑一个2.11-2.19.小编下载了中间的2.15版本.安装后,重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLa5DLz.html" rel="bookmark" class="title">如何实现excel的自动填充</a>
					<div>
						  我们在使用excel过程中,经常会用到自动填充的情况,可是一自动填充,就会出现都是最上面单元格的形式,搞来搞去让人头疼.其实,当要在某一列单元格里自动填充步长为一的一系列数字时,自动填充的方式是: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo6Ajb.html" rel="bookmark" class="title">ubuntu 利用virtualenv 搭建多python环境出错</a>
					<div>
						问题描述 ubuntu 利用virtualenv 搭建多python环境出错 最近在网上看到一个博客http://blog.chinaunix.net/uid-15174104-id-4020426. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgV9OOb.html" rel="bookmark" class="title">warnings- 这个警告是怎么回事？我把头文件加入进来了，源代码如下</a>
					<div>
						问题描述 这个警告是怎么回事?我把头文件加入进来了,源代码如下 c(14): warning C4013: &quot;gets&quot;未定义:假设外部返回 int #define _CRT_SE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwx2dRb.html" rel="bookmark" class="title">用iText 把txt文件生成pdf，导入图片时的问题</a>
					<div>
						问题描述 读取一个txt文件,提取内容生成pdf文件.在导入图片的时候,如果该页剩余的空间不够放下要加入的图片,结果在现实的pdf文件中就不会加入该图片.但跟踪代码时发现添加图片的语句也执行了.而且如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmqw5M.html" rel="bookmark" class="title">DIV遮挡swflash---jsp页面显示问题</a>
					<div>
						问题描述 问题如下:进入页面不能点击播放器的播放按钮 如图 求高手解决..页面代码如下: 问题补充:wangqj 写道 解决方案 在你的div层的CSS中加入z-index:9999解决方案二:加载最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDaaBz.html" rel="bookmark" class="title">Spreadshirt&colon;个性化定制带来大销量</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   随着网络品牌的崛起,传统服装企业 纷纷试水电子商务,服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOm7j8M.html" rel="bookmark" class="title">《正则表达式经典实例（第2版）》&mdash;&mdash;2&period;20　在替代文本中添加正则匹配</a>
					<div>
						2.20 在替代文本中添加正则匹配 问题描述 执行查找和替换,把所有URL都转换成指向该URL的HTML链接,并使用该URL作为链接的文本.在这个练习中,把URL定义为&quot;http:&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNR8GM.html" rel="bookmark" class="title">Amarok 1&period;4音乐播放器KDE3时代的最后版本</a>
					<div>
						Amarok 1.4是Amarokhttp://www.aliyun.com/zixun/aggregation/9366.html&quot;&gt;音乐播放器 KDE3时代的最后版本,当前KDE4 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12vG8p.html" rel="bookmark" class="title">报纸是否消亡毫无意义，既然新媒体是趋势，传统媒体就会转向新媒体</a>
					<div>
						郑国民表示,目前传统媒体和新媒体都面临http://www.aliyun.com/zixun/aggregation/7491.html&quot; style=&quot;line-height:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx09jRM.html" rel="bookmark" class="title">P2P平台陷入两难局面&comma;出路何在&quest;</a>
					<div>
						1月21日消息,一边是规模的诱惑,一边是风险频现,通道业务让很多P2P平台陷入两难局面.       在业内人士看来,通道业务确实存在一些风险,但并不是不能做,要看每家平台的操作模式,其中借助类似资产 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkEXJz.html" rel="bookmark" class="title">Linux里awk中split函数的用法小结&lowbar;linux shell</a>
					<div>
						The awk function split(s,a,sep) splits a string s into an awk array a using the delimiter sep. set t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJO098b.html" rel="bookmark" class="title">actionbar-android actionBar title 文字滚动问题</a>
					<div>
						问题描述 android actionBar title 文字滚动问题 我的系统是android4.4.2,textview文字滚动大家都知道怎么弄,我想说默认的actionbar上的title能不能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze08w8p.html" rel="bookmark" class="title">hibernate取出数据并修改后不更新到数据库</a>
					<div>
						问题描述 hibernate取出数据并修改后不更新到数据库 2C 有文章表article hbm:和文章对应的题目表item hbm: 他们为一对多关系,现在在数据库中一篇article对应有18个i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWRxAp.html" rel="bookmark" class="title">25年来全球商业及财经领域最具影响力的25个人</a>
					<div>
						HTC董事长王雪红入选25年最佳商业领袖 类型:厂商稿 作者:HTC 时间:2014-05-05 10:47:27 CNBC日前评选出25年来全球商业及财经领域最具影响力的25个人,HTC董事长王雪红 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPVlmp.html" rel="bookmark" class="title">C&plus;&plus;中的指针与引用</a>
					<div>
						写在前面 指针和引用形式上很好区别,但是他们似乎有相同的功能,都能够直接引用对象,对其进行直接的操作.但是什么时候使用指针?什么时候使用引用呢?这两 者很容易混淆,在此我详细介绍一下指针和引用,力争将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvoK4M.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;涨价潮&rdquo;遭遇&OpenCurlyDoubleQuote;观望风&rdquo;</a>
					<div>
						尽管小暑.大暑接踵而来,7月却是楼市的传统淡季.在楼市涨价的烟幕弹背后,广州一手 成交量节节下挫.根据中国指数研究院的数据,最近两个月,广州楼市的周成交量已经从最高峰时的4000套腰斩到2000套.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4Dgob.html" rel="bookmark" class="title">第22章 职责链模式（Chain of Responsibility）</a>
					<div>
						原文 第22章 职责链模式(Chain of Responsibility) 职责链模式        导读:职责链模式是一个既简单又复杂的设计模式,刚开始学习这个设计模式的时候光示例都看了好几遍.就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlWBPLb.html" rel="bookmark" class="title">《当90后遇上创业》一一1&period;1  创业的初衷</a>
					<div>
						1.1 创业的初衷 当90后遇上创业很多人都觉得创业的原动力来自于自己那些毫无边际的梦想和想象,这些只是你追求的快乐,当你发现你做不到这些的时候,你很可能会放弃,会退而求其次,又回到以前的生活和工作中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqOR9kz.html" rel="bookmark" class="title">物联网创收关键：超越连接</a>
					<div>
						前不久,法国电信运营商Orange宣布计划在今年推进LTE-M战略,为更多的物联网设备提供支持.这也标志着欧洲市场将迎来第一个LTE-M商用网络.事实上,LTE-M的部署竞赛已在全球展开.在今年的世界 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5O0jnb.html" rel="bookmark" class="title">互联网安全大地震 谁能利用&OpenCurlyDoubleQuote;心脏出血&rdquo;漏洞？</a>
					<div>
						硅谷网讯 &quot;这是近两年来最严重的一次网络安全危机.&quot;360公司技术副总裁谭晓生评价,在以https开头的网站中,初步评估有不少于30%的网站中招,其中包括大家最常用的购物.网银.社 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAQJm3M.html" rel="bookmark" class="title">87期：史上最全的物联网资料</a>
					<div>
						本期头条   [直播预告]最牛开源数据库PostgreSQL:FDW功能及金融物联网案例详解 PostgreSQL是有着40年历史以核心交易型事务处理为发展重心的关系型数据库.在NewSQL时代,它除 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
